InterpolationDefinitionImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model.impl

## Class InterpolationDefinitionImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.DefinitionObjectImpl
    - - tv.amwa.maj.model.impl.InterpolationDefinitionImpl

- All Implemented Interfaces:
    Serializable, Cloneable, InterpolationConstant, MediaEntity, MetadataObject, WeakReferenceTarget, DefinitionObject, DefinitionType, InterchangeObject, InterpolationDefinition

      @MediaClass(uuid1=218169601,
                  uuid2=257,
                  uuid3=8448,
                  uuid4={6,14,43,52,2,6,1,1},
                  definedName="InterpolationDefinition",
                  description="The InterpolationDefinition class specifies the mechanism used to calculate the values produced by a VaryingValue using the specified ControlPoints.",
                  symbol="InterpolationDefinition")
      public class InterpolationDefinitionImpl
      extends DefinitionObjectImpl
      implements InterpolationDefinition, Serializable, InterpolationConstant, Cloneable

  Implements a definition for the mechanism used to calculate the values produced by a varying value using the specified control points.

  See Also:
    `TypeDefinitions.InterpolationDefinitionWeakReference`, `TypeDefinitions.InterpolationDefinitionStrongReference`, `TypeDefinitions.InterpolationDefinitionStrongReferenceSet`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

    - ### Fields inherited from interface tv.amwa.maj.constant.InterpolationConstant

      `BSpline, Constant, Linear, Log, None, Power`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterpolationDefinitionImpl()`
    `InterpolationDefinitionImpl(AUID identification, String name)` Creates and initalizes a new interpolation definition, which specifies the mechanism used to calculate the values produced by a `varying value` using the specified `control points`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InterpolationDefinition` | `clone()` Create a cloned copy of this interchange object.
    `static int` | `count()`
    `static InterpolationDefinition` | `forAUID(AUID identification)`
    `static InterpolationDefinition` | `forIdentification(AUID identification)`
    `static InterpolationDefinition` | `forName(String interpolationName)`
    `String` | `getLocalizedUID()`
    `static Collection<String>` | `inventory()`
    `static boolean` | `registerInterpolationDefinition(InterpolationDefinition definedInterpolation)`
    `static int` | `registerInterpolationsFromClass(Class<?> classWithInterpolations)`

    - ### Methods inherited from class tv.amwa.maj.model.impl.DefinitionObjectImpl

      `getAUID, getDefinitionObjectIdentificationString, getDescription, getName, getWeakTargetReference, initializeDefinitionObjectIdentification, initializeDefinitionObjectName, setAUID, setDefinitionObjectIdentificationString, setDescription, setLocalizedUID, setName`

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, appendXMLChildren, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getComment, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.DefinitionObject

      `getAUID, getDescription, getName, setDescription, setName`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

    - ### Methods inherited from interface tv.amwa.maj.industry.WeakReferenceTarget

      `getWeakTargetReference`

- - ### Constructor Detail

    - #### InterpolationDefinitionImpl

          public InterpolationDefinitionImpl()

    - #### InterpolationDefinitionImpl

          public InterpolationDefinitionImpl(AUID identification,
                                             @AAFString
                                             String name)
                                      throws NullPointerException

      Creates and initalizes a new interpolation definition, which specifies the mechanism used to calculate the values produced by a `varying value` using the specified `control points`.

      Parameters:
        `identification` - Unique identifier for this interpolation.
        `name` - Display name for the interpolation.
      Throws:
        `NullPointerException` - One or both of the arguments is `null`.

  - ### Method Detail

    - #### registerInterpolationsFromClass

          public static final int registerInterpolationsFromClass(Class<?> classWithInterpolations)
                                                           throws NullPointerException

      Throws:
        `NullPointerException`

    - #### registerInterpolationDefinition

          public static final boolean registerInterpolationDefinition(InterpolationDefinition definedInterpolation)
                                                               throws NullPointerException

      Throws:
        `NullPointerException`

    - #### forName

          public static final InterpolationDefinition forName(String interpolationName)
                                                       throws NullPointerException

      Throws:
        `NullPointerException`

    - #### forIdentification

          public static final InterpolationDefinition forIdentification(AUID identification)
                                                                 throws NullPointerException

      Throws:
        `NullPointerException`

    - #### forAUID

          public static final InterpolationDefinition forAUID(AUID identification)
                                                       throws NullPointerException

      Throws:
        `NullPointerException`

    - #### inventory

          public static final Collection<String> inventory()

    - #### count

          public static final int count()

    - #### clone

          public InterpolationDefinition clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `DefinitionObject`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `InterpolationDefinition`
      Overrides:
        `clone` in class `DefinitionObjectImpl`
      Returns:
        Cloned copy of this interchange object.

    - #### getLocalizedUID

          public String getLocalizedUID()

      Overrides:
        `getLocalizedUID` in class `DefinitionObjectImpl`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.